### Hierarchy

- Connection

## Index

### Constructors

- constructor

### Properties

- listener
- mqttSensorQueue
- renderer
- subscriptions

### Methods

- disconnect
- initMqttSensorQueue
- onMessage
- subscribe

## Constructors

### constructor

- new Connection(options: QueueOptions, renderer: IRenderer, listener: IListener): Connection

- - Defined in lib/connection/Connection.ts:17

  #### Parameters

  - ##### options: QueueOptions

  - ##### renderer: IRenderer

  - ##### listener: IListener

  #### Returns Connection

## Properties

### Private listener

listener: IListener

- Defined in lib/connection/Connection.ts:15

### mqttSensorQueue

mqttSensorQueue: MqttSensorQueue

- Defined in lib/connection/Connection.ts:14

### Private renderer

renderer: IRenderer

- Defined in lib/connection/Connection.ts:16

### Private subscriptions

subscriptions: Map<string, Subscription> = new Map<string, Subscription>()

- Defined in lib/connection/Connection.ts:17

## Methods

### disconnect

- disconnect(): void

- - Defined in lib/connection/Connection.ts:41

  disconnect the mqtt connection

  #### Returns void

### Private initMqttSensorQueue

- initMqttSensorQueue(options: QueueOptions): MqttSensorQueue

- - Defined in lib/connection/Connection.ts:47

  #### Parameters

  - ##### options: QueueOptions

  #### Returns MqttSensorQueue

### Private onMessage

- onMessage(topic: string, message: any): void

- - Defined in lib/connection/Connection.ts:56

  #### Parameters

  - ##### topic: string

  - ##### message: any

  #### Returns void

### subscribe

- subscribe(type: ConversationQueueType, header: QueueHeader, callback: QueueCallback): Subscription

- - Defined in lib/connection/Connection.ts:32

  Subscribes to the given destination.

  #### Parameters

  - ##### type: ConversationQueueType

    the queue type

  - ##### header: QueueHeader

    the destination header

  - ##### callback: QueueCallback

    the callback function

  #### Returns Subscription

Generated using TypeDoc